Subject: Re: bug#51850: 27.2; No way to configure mm-external-terminal-program command switch

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 15 Nov 2021 07:17:19 +0100

Kevin Foley <[email-masked]> writes:

> When calling `mm-display-external', the switch to pass a command to
> `mm-external-terminal-program' is hard coded to "-e".
>
> However this switch is deprecated in `gnome-terminal` and "--" should be
> used instead.  In my testing "-e" didn't work at all with
> `gnome-terminal` (I tested the same command outside of Emacs as well).
>
> I think it would be useful to make this configurable via a user option.

I've now fixed this in Emacs 29 by allowing mm-external-terminal-program
to be a list like ("gnome-terminal" "--").

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no